PERTALIFE - Bug #3282

fungsi alert save
12/10/2024 11:56 AM - Regina Tasya

Status: Closed Start date: 12/10/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear kak shofwan,

saat ini dari redmine http://remote.minovais.com:3000/redmine/issues/3209

untuk fungsi alert save masih ngebug, terkadang massagenya muncul dan terkadang saat input bikin akun baru dan mengisi data
baru jika langsung next tidak ada alert bahwa data belum di save

mohon bantuannya untuk problem tersebut, dimana seharusnya massage pemberitahuannya muncul jika data tersebut belum ada di
MD

History

#1 - 12/10/2024 02:14 PM - shofwan shiddiq
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

sebelumnya sudah di jelasin, kalo fungsi alert ini ga bisa. soalnnya perubahan on the fly di sisi client side ( device ) itu tidak bisa semua nya di track
oleh system dengan environment yang dipakai di front end ( ExtJs ) sehingga fungsi alert nya sering bug. di MinovaES pun juga tidak ada fitur ini.

mendinngan di takedown aja fungsi alert nya, dan hanya di berikan message "Jangan lupa save data sebelum next / back".

#2 - 12/10/2024 05:24 PM - Regina Tasya
- Status changed from QA Test to Assigned

- Assignee changed from Regina Tasya to shofwan shiddiq

oohh alert dan massage info yang muncul sebagai pemberitahuan itu bedaa? kirain dua hal yang sama. jika fungsi alert tidak bisa lebih baik
menggunakan massage info saja kak

#3 - 12/18/2024 10:38 AM - shofwan shiddiq

- File clipboard-202412181037-w43wq.png added
- File clipboard-202412181038-piekp.png added

- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya
Message

Make sure to save before proceeding
Dear Tasya, alert untuk mengingatkan save sebelum next sudah di buat,

message nya bisa di ubah di SMESSAGECATALOG ID = PROCEED

MINOVAIS-SERVE...SMESSAGECATALOG + X
Column Alias Table Output  Sort Type Sort Order Filter Or... Or... Or...
, Vessageld MESSAGE.
Langld SMESSAGE...
Message SMESSAGE...
MNotes SMESSAGE...
Active SMESSAGE...
StartDate SMESSAGE...
EndDate SMESSAGE...
CreateBy SMESSAGE...
CreateDate SMESSAGE...
ChangeBy SMESSAGE...
ChangeDate SMESSAGE...
-]
Messageld Langld Message MNotes Active StartDate EndDate CreateBy CreateDate  ChangeBy ChangeDate
» PROCEED EN Make sure to save before proce.. cek data exist 1 20160101 99991231 minovais NULL minovais NULL
PROCEED IDN Pastikan menyimpan sebelum I... cek data exist 1 20160101 99991231 minovais NULL minovais NULL
* |NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL

#4 - 12/18/2024 02:34 PM - Regina Tasya
- Status changed from QA Test to Deploy

oke kak sudah di test dan sesuai terimakasih

#5 - 01/20/2025 09:37 AM - Regina Tasya
- Status changed from Deploy to Closed
